## leaflet-geometryutil 0.4.0

=== Makefile ===
INSTALL_STAMP=.install.stamp

all: install
install: $(INSTALL_STAMP)

$(INSTALL_STAMP):
	npm install
	touch $(INSTALL_STAMP)

test: install
	@./node_modules/mocha-phantomjs/bin/mocha-phantomjs test/index.html

docs: install
	@./node_modules/jsdoc/jsdoc -d ./docs/ dist/ README.md

clean:
	rm -rf node_modules/ $(INSTALL_STAMP)

.PHONY: test docs

=== debian/changelog ===
leaflet-geometryutil (0.4.0-2) unstable; urgency=medium

  * Team upload

  [ Jelmer Vernooĳ ]
  * Use secure copyright file specification URI.

  [ Debian Janitor ]
  * Bump debhelper from old 10 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Update renamed lintian tag names in lintian overrides.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update Vcs-* headers from URL redirect.
  * Use canonical URL in Vcs-Git.

  [ lintian-brush ]
  * Remove overrides for lintian tags that are no longer supported.

  [ Xavier Guimard ]
  * Bump debhelper compatibility level to 13
  * Declare compliance with policy 4.5.1
  * Add "Rules-Requires-Root: no"
  * Change section to javascript
  * Add debian/gbp.conf
  * Replace deprecated no-uglify by uglifyjs (Closes: #979891)

 -- Xavier Guimard <yadd@debian.org>  Tue, 12 Jan 2021 21:05:31 +0100

leaflet-geometryutil (0.4.0-1) unstable; urgency=medium

  * Initial release. (Closes: #852112)

 -- Dominik George <nik@naturalnet.de>  Sat, 21 Jan 2017 19:34:08 +0100

=== debian/control ===
Source: leaflet-geometryutil
Section: javascript
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Dominik George <nik@naturalnet.de>
Build-Depends: debhelper-compat (= 13),
               uglifyjs,
Standards-Version: 4.5.1
Homepage: https://makinacorpus.github.io/Leaflet.GeometryUtil/
Vcs-Git: https://salsa.debian.org/js-team/leaflet-geometryutil.git
Vcs-Browser: https://salsa.debian.org/js-team/leaflet-geometryutil
Rules-Requires-Root: no

Package: libjs-leaflet-geometryutil
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Recommends: javascript-common
Description: Leaflet utility functions on geometries
 Leaflet.GeometryUtil is a plugin for Leaflet, a JavaScript
 mapping library.
 .
 It provides many additional features regarding geometric
 calculations with geographic coordinates, using the Leaflet
 framework and types.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	cd dist; uglifyjs -o leaflet.geometryutil.min.js leaflet.geometryutil.js

# the upstream Makefile relies on npm doing a lot of work, and the tests
# are no real tests as they just spawn an interactive browser
override_dh_auto_test: ;
override_dh_auto_install: ;
